<%@ page errorPage="Erro.jsp" %>

<%@ page import="java.sql.*" %>
<%@ page import="br.com.zemaria.database.Database" %>

<%
/* Invalidando a sesso caso outro login j tenha sido feito */
session.invalidate();

/* Obtendo os campos do formulrio */
String email       = request.getParameter("email");
String nome        = request.getParameter("nome");
String rua         = request.getParameter("rua");
String bairro      = request.getParameter("bairro");
String numero      = request.getParameter("numero");
String complemento = request.getParameter("complemento");
String cep         = request.getParameter("cep");
String telefone    = request.getParameter("telefone");
String senha       = request.getParameter("senha");
String confSenha   = request.getParameter("ConfSenha");

/* Verificando os campos obrigaatrios */
if ( email.trim().equals("")  || nome.trim().equals("")   ||
     rua.trim().equals("")    || bairro.trim().equals("") ||
     numero.trim().equals("") || senha.trim().equals("")  ||
     confSenha.trim().equals("") ) {
  String msg = "Os campos marcados com (*) so obrigatrios.";
  throw new Exception(msg);
}
/*Verifcando a senha e sua confirmao */
if ( !senha.equals(confSenha) ) {
  String msg = "Senha diferente da Confirmao";
  throw new Exception(msg);
}

/* Inserindo o novo cliente no banco de dados */
try {
  /* Instanciando o objeto para acesso ao banco de dados */
  String DatabaseFileDir = "D:\\My Documents\\CursoJava\\JavaInternet\\LojaVirtual\\Database.sql";
  Database database    = new Database(DatabaseFileDir);
  /* Obtendo um PreparedStatement preenchido com o template "INSERT_CLIENTE" */
  PreparedStatement ps = database.getPreparedStatement("INSERT_CLIENTE");
  /* Setando os atributos do PreparedStatement */
  ps.setString(1, email);
  ps.setString(2, nome);
  ps.setString(3, rua);
  ps.setString(4, bairro);
  ps.setString(5, numero);
  ps.setString(6, complemento);
  ps.setString(7, cep);
  ps.setString(8, senha);
  /* Executendo o comando de atualizao do PreparedStatement */
  ps.executeUpdate();
} catch (SQLException e) {
  String msg = e.getMessage() + " : ErrorCode = " + e.getErrorCode();
  throw new Exception(msg);
} catch (Exception e) {
  String msg = e.getMessage();
  throw new Exception(msg);
}

%>
Cliente Cadastrado com sucesso<br>
<p align="center"><a href="index.htm" target="_parent">Voltar</a></p>