<%@ page errorPage="Erro.jsp" %>

<%@page import="java.util.*" %>
<%@page import="java.sql.*" %>
<%@page import="br.com.zemaria.database.Database" %>

Carrinho de Compras
<br>
<table width="100%" border="1">
  <tr>
    <td><div align="center">Produto</div></td>
    <td><div align="center">Pre&ccedil;o</div></td>
    <td><div align="center">Quantidade</div></td>
    <td><div align="center">Excluir</div></td>
  </tr>
<%
/* Acessando o banco de dados */
Database database = new Database("D:\\My Documents\\CursoJava\\JavaInternet\\LojaVirtual\\Database.sql");
/* Obtendo um PreparedStatement preenchido com o template "SELECT_PRODUTO" */
PreparedStatement pstmt = database.getPreparedStatement("SELECT_PRODUTO");
/* Obtendo o carrinho de compras da sesso */
Hashtable carrinho = (Hashtable) session.getAttribute("carrinho");
/* Casso o carrinho exista e possua valores */
if ( carrinho != null && !carrinho.isEmpty() ) {
  /* Obtendo todos os cdigos de produtos do carrinho */
  Enumeration codigos = carrinho.keys();
  /* Passando por cada cdigo */
  while ( codigos.hasMoreElements() ) {
    /* Obtendo cada cdigo */
    String codigo = (String) codigos.nextElement();
    /* Setando o cdigo no PreparedStatement */
    pstmt.setString(1, codigo);
    /* Executando a consulta do PreparedStatement */
    ResultSet rs = pstmt.executeQuery();
    /* Verificando se houve retorno */
    if ( rs.next() ) {
      /* Obtendo a descrio e o preo do produto */
      String descricao  = rs.getString("descricao");
      String preco      = rs.getString("preco");
      String quantidade = (String) carrinho.get(codigo);
      %>
        <tr>
          <td> <%= descricao %>  </td>
          <td> <%= preco %>      </td>
          <td> <%= quantidade %> </td>
          <td>
            <a href="RemoverCarrinho.jsp?produto=<%= codigo %>">excluir</a>
          </td>
        </tr>
      <%
    }
  }
}
%>
</table>
