<%@ page errorPage="Erro.jsp" %>

<%@ page import="java.sql.*" %>

<%
String SQLSERVER_DRV = "com.microsoft.jdbc.sqlserver.SQLServerDriver";
String SQLSERVER_URL = "jdbc:microsoft:sqlserver://localhost:1433";
String USUARIO = "LojaVirtual";
String SENHA = "LojaVirtual";

try {
  Class.forName( SQLSERVER_DRV );
} catch ( ClassNotFoundException cnfe ) {
  String msg = "Driver JDBC no encontrado : " + cnfe.getMessage();
  throw new Exception(msg);
}

Connection con = null;
try {
  con = DriverManager.getConnection( SQLSERVER_URL, USUARIO, SENHA );
} catch ( SQLException sqle ) {
  String msg =  "Erro na conexo ao Bando de Dados : " + sqle.getMessage() ;
  throw new Exception(msg);
}

Statement stmt = null;
try {
  stmt = con.createStatement();
} catch ( SQLException sqle ) {
  String msg = "Erro no acesso ao Bando de Dados : " + sqle.getMessage();
  throw new Exception(msg);
}

String selectCategorias = "SELECT * FROM CategoriaProduto";
ResultSet rs = null;
try {
  rs = stmt.executeQuery(selectCategorias);
} catch ( SQLException sqle ) {
  String msg = "Erro executando query : " + selectCategorias + " : " +
               sqle.getMessage();
  throw new Exception(msg);
}

%>
<table width="95%" border="1">
  <tr>
    <td>
      <div align="center">Categoria de Produtos</div>
    </td>
  </tr>
<%
while ( rs.next() ) {
  String codigo = rs.getString("Codigo");
  String descricao = rs.getString("Descricao");
%>
  <tr>
    <td>
      <a href="Produtos.jsp?codigo=<%= codigo %>&categoria=<%= descricao %>"
         target="mainFrame"> <%= descricao %> </a>
    </td>
  </tr>
<%
}
%>
</table>