import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class SessionInputServlet extends HttpServlet {

  private static final String CONTENT_TYPE = "text/html";

  public void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
    /* Obtendo a sesso do usurio */
    HttpSession session = request.getSession();
    /* Obtendo os parmetros do request */
    String p1 = (String) request.getParameter("p1");
    String p2 = (String) request.getParameter("p2");
    /* Colocando os parmetros na sesso */
    session.setAttribute("p1", p1);
    session.setAttribute("p2", p2);

    response.setContentType(CONTENT_TYPE);
    PrintWriter out = response.getWriter();
    out.println("<html>");
    out.println("<head><title>SessionInputServlet</title></head>");
    out.println("<body>");
    out.println("<p><b>Parmetros colocados na sesso.</b></p>");
    out.println("p1 = " + p1 + "</p>");
    out.println("p2 = " + p2 + "</p>");
    out.println("</body></html>");
  }
}
