<%@ page errorPage="Erro.jsp" %>

<%@ page import="java.util.*" %>

<%@ page import="java.sql.*" %>
<%@ page import="br.com.zemaria.database.Database" %>

<%
/* Criando um objeto Timestamp com a hora atual */
Timestamp dataPedido = new Timestamp(System.currentTimeMillis());
/* Obtendo o email da sesso. OBS : Colocado pelo Login.jsp */
String email = (String) session.getAttribute("email");
/*
 * Obtendo o carrinho de compras da sesso.
 * OBS: colocado pelo AdicionarCarrinho.jsp
 */
Hashtable carrinho = (Hashtable) session.getAttribute("carrinho");
/* Verificando se o email estava na sesso */
if ( email == null ) {
  String msg = "Para fechar o pedido  necessrio efetuar Login";
  throw new Exception(msg);
}
/* Verificando se o carrinho estava na sesso */
if ( carrinho == null ) {
  String msg = "Nenhum produto foi inserido no carrinho";
  throw new Exception(msg);
}
try {
  /* Acessando o banco de dados */
  Database database = new Database("D:\\My Documents\\CursoJava\\JavaInternet\\LojaVirtual\\Database.sql");
  /*
   * Gravando o pedido
   */
  /* Obtendo um PreparedStatement para inserir em Pedido */
  PreparedStatement ps = database.getPreparedStatement("INSERT_PEDIDO");
  /* Setando os parmetros do PreparedStatement*/
  ps.setTimestamp(1, dataPedido);
  ps.setString(2, email);
  /* Executando o comando de atualizao do PreparedStatement */
  ps.executeUpdate();
  /*
   * Gravando os itens do pedido
   */
  /* Obtendo um PreparedStatement para inserir em PedidoProduto */
  PreparedStatement insertPedidoProduto =
    database.getPreparedStatement("INSERT_PEDIDO_PRODUTO");
  /* Obtendo um PreparedStatement para pesquisar em Produto */
  PreparedStatement selectProduto =
    database.getPreparedStatement("SELECT_PRODUTO");
  /* Obtendo todos os cdigos do carrinho de compras */
  Enumeration codigosProdutos = carrinho.keys();
  /* Passando por cada cdigo */
  while ( codigosProdutos.hasMoreElements() ) {
    /* Obtendo o codigo e quantidade do carrinho de compra */
    String codigo     = (String) codigosProdutos.nextElement();
    String quantidade = (String) carrinho.get(codigo);
    /* Setando o codigo */
    selectProduto.setString(1, codigo);
    /* Executando a pesquisa do produto */
    ResultSet rs = selectProduto.executeQuery();
    if ( rs.next() ) {
      /* Obtendo o preco do produto */
      String preco = rs.getString("preco");
      /* Setando o parmetros email e data do PreparedStatement */
      insertPedidoProduto.setString(1, email);
      insertPedidoProduto.setTimestamp(2, dataPedido);
      insertPedidoProduto.setString(3, codigo);
      insertPedidoProduto.setString(4, preco);
      insertPedidoProduto.setString(5, quantidade);
      /* Inserindo em PedidoProduto */
      insertPedidoProduto.executeUpdate();
    }
  }
/* Removendo o carrinho da sesso */
session.removeAttribute("carrinho");
} catch (Exception e) {
  String msg = "Erro Fechando Pedido : " + e.getMessage();
  throw new Exception(msg);
}
%>
Pedido gravado com sucesso<br>
<p align="center"><a href="index.htm" target="_parent">Voltar</a></p>
