<!-- Inclundo o jsp com o acesso ao banco de dados -->
<%@ include file="libDB/GetConnection.jsp" %>

<%
/* Obtendo os parmetros */
String codigoCategoria     = request.getParameter("codigo");
String descricaoCategoria  = request.getParameter("categoria");

/* Comando SQL para selecionar produtos de uma determinada categoria */
String selectProdutos =
  "SELECT * FROM Produto" +
  "  WHERE categoria = ?";
/* Obtendo um PreparedStatement. OBS: connection foi criado pelo jso includo */
PreparedStatement ps = connection.prepareStatement(selectProdutos);
/* Setando o parmetro do PreparedStatement */
ps.setString(1, codigoCategoria);
/* Executando a consulta do PreparedStatement */
ResultSet rs = ps.executeQuery();
%>
<form name="produtos" method="post" action="AdicionarCarrinho.jsp">
  <table width="95%" border="1">
    <tr>
      <td colspan="4">
        <div align="center">Produtos : [<%= descricaoCategoria %>]</div>
      </td>
    </tr>
    <tr>
      <td>Comprar</td>
      <td>Descri&ccedil;&atilde;o</td>
      <td>Pre&ccedil;o</td>
      <td>Quantidade</td>
    </tr>
    <%
while ( rs.next() ) {
  String codigo = rs.getString("codigo");
  String descricao = rs.getString("descricao");
  String preco = rs.getString("preco");
%>
    <tr>
      <td>
        <input type="checkbox" name="comprar_<%=codigo%>" value="Sim">
      </td>
      <td> <%= descricao %> </td>
      <td> <%= preco %> </td>
      <td>
        <input type="text" name="quantidade_<%=codigo%>" size="3" maxlength="3" value="1">
      </td>
    </tr>
    <%
}
%>
  </table>
  <p>
    <input type="submit" value="Adicionar ao Carrinho" name="Submit">
    <input type="reset" name="Limpar" value="Reset">
  </p>
</form>
